#
# spec file for package prctl
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           prctl
Version:        1.6
Release:        6.1
Summary:        A utility to perform process operations
License:        GPL-2.0-or-later
Group:          System/Monitoring
URL:            http://sourceforge.net/projects/prctl
Source0:        http://downloads.sourceforge.net/project/prctl/prctl/%{version}/prctl-%{version}.tar.gz
Source1:        COPYING
Patch0:         prctl-1.5-Makefile.patch
Patch1:         prctl-1.5-warnings.patch
# work with gcc14
Patch2:         prctl-gcc14.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The prctl utility allows a user to control certain process behaviors in
the runtime environment.

%prep
%autosetup -p1
cp %{SOURCE1} .

%build
%configure
make

%install
make DESTDIR=%{buildroot} install

%files
%defattr(-, root, root)
%doc ChangeLog
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

%changelog
* Thu May  9 2024 pgajdos@suse.com
- fix build with gcc14
- use %%autosetup macro
- modified patches
  %% prctl-1.5-warnings.patch (refreshed)
- added patches
  work with gcc14
  + prctl-gcc14.patch
* Wed Feb 21 2024 Michael Vetter <mvetter@suse.com>
- Use %%patch -P N instead of deprecated %%patchN.
- Move license to %%license section
* Sun Aug  2 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Remove old source (prctl-1.5.tar.gz)
* Tue Apr 29 2014 pgajdos@suse.com
- updated to 1.6:
  * Improved messages and suppressed unnecessary error messages
  * Added support for PR_MCE_KILL
* Mon Apr 15 2013 idonmez@suse.com
- Cleanup spec file
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Mon Mar 21 2011 coolo@novell.com
- licenses package is about to die
* Fri Nov 19 2010 mvyskocil@suse.cz
- Update to 1.5 (bugfix release)
  * Better error message in case kernel does not support prctl operations.
- refresh SUSE patches
- add Changelog and COPYING to docdir
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Apr 18 2004 schwab@suse.de
- Pacify autobuild.
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Sat Dec 29 2001 schwab@suse.de
- Initial version 1.3.
